Skip to content

Power and energy

/inpa.cgi?pown

Set a name for the power/energy reading.

GET /inpa.cgi?pown=AB
  • A is index of power/energy reading, integer 0-3 (P/E1-P/E4)
  • B is the name to set, a string of up to 15 characters

Example:

http://192.168.1.100/inpa.cgi?pown=0Power0

/inpa.cgi?powsel

Set I and U options for power reading.

GET /inpa.cgi?powsel=AB
  • A determines for which field the value is set, integer 0-7 (0-3 are I for POWER1-POWER4, 4-7 are U for POWER1-POWER4)
  • B is input for I or for U, integer 0-12 (0-9 for I, 0-5, 10-12 for U)

    I options:

    {
        "0": "INPA1",
        "1": "INPA2",
        "2": "INPA3",
        "3": "INPA4",
        "4": "INPA5",
        "5": "INPA6",
        "6": "INPD1",
        "7": "INPD2",
        "8": "INPD3",
        "9": "INPD4",
    }
    

    U options:

    {
        "0": "INPA1",
        "1": "INPA2",
        "2": "INPA3",
        "3": "INPA4",
        "4": "INPA5",
        "5": "INPA6",
        "10": "225V",
        "11": "230V",
        "12": "235V",
    }
    

Example:

http://192.168.1.100/inpa.cgi?powsel=00

/inpa.cgi?powim

Set the pulse to power units conversion ratio.

GET /inpa.cgi?powim=AB
  • A is index of power/energy reading, integer 0-3 (P/E1-P/E4)
  • B is the number of pulses, integer

Example:

http://192.168.1.100/inpa.cgi?powim=01000

/inpa.cgi?powset

Set the given value as an energy reading.

GET /inpa.cgi?powset=AB
  • A is index of power/energy reading, integer 0-3 (P/E1-P/E4)
  • B is the value to set for energy reading, integer (value multiplied by 1000)

Example:

http://192.168.1.100/inpa.cgi?powset=00

/inpa.cgi?eclear

Deprecated in SW 1.56a

The function has been deprecated and replaced by /inpa.cgi?powset=A0.

Reset energy reading.

GET /inpa.cgi?eclear=A
  • A is index of power/energy reading, integer 0-3 (P/E1-P/E4)

Example:

http://192.168.1.100/inpa.cgi?eclear=0

/inpa.cgi?powsave

Remember energy reading after reboot (periodically saves status of energy to flash memory).

GET /inpa.cgi?powsave=A
  • A determines whether the function is enabled, integer 0-1

Example:

http://192.168.1.100/inpa.cgi?powsave=0